| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
StatisticsReaderImpl Class Reference

`#include <StatisticsCommon.hpp>`

## Protected Member Functions

void | on_data_notify (const fastdds::rtps::GUID_t &, const fastdds::rtps::Time_t &)
| Report that a sample has been notified to the user.
void | on_acknack (int32_t)
| Report that an ACKNACK message is sent Parameter: current count of ACKNACKs.
void | on_nackfrag (int32_t)
| Report that a NACKFRAG message is sent Parameter: current count of NACKFRAGs.
void | on_subscribe_throughput (uint32_t)
| Reports subscription throughtput based on last added sample to reader's history Parameter: size of the message received.

## Friends

class | fastdds::rtps::RTPSMessageGroup

## Member Function Documentation

## ◆ on_acknack()

void on_acknack | ( | int32_t |  | ) |

inline protected

Report that an ACKNACK message is sent Parameter: current count of ACKNACKs.

## ◆ on_data_notify()

void on_data_notify | ( | const fastdds::rtps::GUID_t & | ,
|  | const fastdds::rtps::Time_t & | )

inline protected

Report that a sample has been notified to the user.

Parameter: GUID of the writer from where the sample was received. Parameter: Source timestamp received from the writer for the sample being notified.

## ◆ on_nackfrag()

void on_nackfrag | ( | int32_t |  | ) |

inline protected

Report that a NACKFRAG message is sent Parameter: current count of NACKFRAGs.

## ◆ on_subscribe_throughput()

void on_subscribe_throughput | ( | uint32_t |  | ) |

inline protected

Reports subscription throughtput based on last added sample to reader's history Parameter: size of the message received.

## Friends And Related Symbol Documentation

## ◆ fastdds::rtps::RTPSMessageGroup

friend class fastdds::rtps::RTPSMessageGroup

friend

The documentation for this class was generated from the following file:

- include/fastdds/statistics/rtps/StatisticsCommon.hpp